
var locale = 'en';
var url = 'http://app.puzzley.ir';
var online = true;

var ngApp = angular.module('ngApp', ['ionic', 'ngResource', 'ngApp.controllers', 'ngApp.services'])

.run(function($ionicPlatform, $rootScope, $ionicLoading, $ionicHistory, localStorage, $ionicPopup) {
  $rootScope.$on('loading:show', function() {
	$ionicLoading.show({
	  noBackdrop: true
	});
  });

  $rootScope.$on('loading:hide', function() {
	  $ionicLoading.hide();
  });

	$ionicPlatform.ready(function() {
 }); $rootScope.backButtonPressedOnceToExit = false; $ionicPlatform.registerBackButtonAction(function(e){ if ($rootScope.backButtonPressedOnceToExit) { ionic.Platform.exitApp(); } else if ($ionicHistory.backView()) { $ionicHistory.goBack(); } else if (hasHome && window.location.hash != homeHash){ $ionicHistory.nextViewOptions({ disableBack: true }); window.location.hash = homeHash; } else { $rootScope.backButtonPressedOnceToExit = true; window.plugins.toast.showWithOptions({ message: "برای خروج دوباره کلیک کنید", duration: "short", position: "bottom", addPixelsY: -50 }); setTimeout(function(){ $rootScope.backButtonPressedOnceToExit = false; },2500); } e.preventDefault(); return false; },101); }) .config(function($stateProvider, $locationProvider, $urlRouterProvider, $ionicConfigProvider, $httpProvider) { $ionicConfigProvider.templates.maxPrefetch(0); $ionicConfigProvider.backButton.previousTitleText(false).text(''); $httpProvider.interceptors.push(function($rootScope) { return { /* http request show loading */ request: function(config) { if(typeof config.noLoading == "undefined" || config.noLoading != true){ $rootScope.$broadcast('loading:show'); } return config }, /* Hide loading in case any occurred */ requestError: function(response) { $rootScope.$broadcast('loading:hide'); return response }, /* Hide loading once got response */ response: function(response) { $rootScope.$broadcast('loading:hide'); return response }, /* Hide loading if got any response error */ responseError: function(response) { $rootScope.$broadcast('loading:hide'); return response } } }); $ionicConfigProvider.navBar.alignTitle('center'); $stateProvider .state('nav', { url: '/nav', abstract: true, templateUrl: 'nav.html', controller: 'NavCtrl', secured : 0 }) .state('nav.puzzleyPage', { url: "/puzzleyPage", views: { 'mainContent': { template: '<ion-view title="درباره پازلی"><ion-content padding="true" class="aboutus "><div class="transparent"><h2>پازلی چیه؟</h2><div><p><span style="line-height: 1.42857;">با پازلی می تونید بدون هیچ دانشی از طراحی نرم افزار، یک اپلیکیشن موبایل برای خودتون بسازید. &nbsp;نرم افزاری که می تونه &nbsp;برای کسب و کارتون یا حتی خودتون باشه. تمام اون چیزی که نیاز دارید چند کلیک ساده است که هر کدوم شما رو به داشتن یک نرم افزار اختصاصی روی موبایل یا تبلتون نزدیک و نزدیک تر می کنه. مدیریت محتوا و تصاویر، خبرخوان، معرفی خودتون و استفاده از نقشه تنها بخشی از قابلیتهای &nbsp;اپلیکیشن نسبتا خفنی هستند که شما به دست می یارید. ولی مهمتر و بهتر از همه اینکه ما به شما سر نخ می دیم که &nbsp;واقعا به چجور نرم افزار و قابلیت هایی نیاز دارید.</span><br></p></div></div></div><br><ion-list type="card"><a href="http://puzzley.ir/?utm_source=apps&utm_medium=free&utm_term=softlaunch&utm_campaign=free%20apps" class="item item-icon-right" target="_blank"> <i class="icon ion-checkmark-circled"></i> وب سایت پازلی </a></ion-list></ion-content></ion-view>' } }, secured : 0 }) .state('nav.xn-mgbn7ee', { url: '/xn-mgbn7ee', class: 'cXnMgbn7ee', cache: 'false', secured : 0, views: { 'mainContent': { templateUrl: 'templates/xn-mgbn7ee.html', controller: 'cXnMgbn7eeCtrl' } } }) .state('nav.xn-zmc2ahb5je07h', { url: '/xn-zmc2ahb5je07h', class: 'cXnZmc2ahb5je07h', cache: 'true', secured : 0, views: { 'mainContent': { templateUrl: 'templates/xn-zmc2ahb5je07h.html', controller: 'cXnZmc2ahb5je07hCtrl' } } }) .state('nav.xn-ymcjbl2c4ff3a98g', { url: '/xn-ymcjbl2c4ff3a98g', class: 'cXnYmcjbl2c4ff3a98g', cache: 'true', secured : 0, views: { 'mainContent': { templateUrl: 'templates/xn-ymcjbl2c4ff3a98g.html', controller: 'cXnYmcjbl2c4ff3a98gCtrl' } } }) .state('nav.xn-ymcabcd1b0abjm', { url: '/xn-ymcabcd1b0abjm', class: 'cXnYmcabcd1b0abjm', cache: 'true', secured : 0, views: { 'mainContent': { templateUrl: 'templates/xn-ymcabcd1b0abjm.html', controller: 'cXnYmcabcd1b0abjmCtrl' } } }) .state('nav.xn-zmchuu6ik57h', { url: '/xn-zmchuu6ik57h', class: 'cXnZmchuu6ik57h', cache: 'true', secured : 0, views: { 'mainContent': { templateUrl: 'templates/xn-zmchuu6ik57h.html', controller: 'cXnZmchuu6ik57hCtrl' } } }) .state('nav.xn-btdbbdl7e8hg', { url: '/xn-btdbbdl7e8hg', class: 'cXnBtdbbdl7e8hg', cache: 'true', secured : 0, views: { 'mainContent': { templateUrl: 'templates/xn-btdbbdl7e8hg.html', controller: 'cXnBtdbbdl7e8hgCtrl' } } }) .state('nav.xn-btdcb5boc6pra87l', { url: '/xn-btdcb5boc6pra87l', class: 'cXnBtdcb5boc6pra87l', cache: 'true', secured : 0, views: { 'mainContent': { templateUrl: 'templates/xn-btdcb5boc6pra87l.html', controller: 'cXnBtdcb5boc6pra87lCtrl' } } }).state('nav.feed', { url: "/feeds/:entryId/:hashCode", views: { 'mainContent': { template: '<ion-view title="{{entry.title}}"><ion-content padding="true" class=""><div class="feed transparent"><h3 class="title">{{entry.title}}</h3><div class="inform" ng-show="entry.author"><i class="ion-person"></i><span ng-bind-html="entry.author"></span></div></br><p ng-bind-html="entry.content" class="feedcontent"></p></br><a class="category" ng-repeat="category in entry.categories">{{category}}</a><div class="clear"><br></div><center><button class="button icon-left ion-share button-outline button-custom" ng-click="loadURL()">نمایش در سایت</button><button class="button icon-left ion-android-share-alt button-outline button-custom" ng-click="shareEntry()">اشتراک</button></center> </div></ion-content></ion-view>', controller: 'FeedCtrl' } }, secured : 0 }); $urlRouterProvider.otherwise('/nav/xn-mgbn7ee');
})
.factory('localStorage', function() {
  return {
	all: function(key) {
	  var data = window.localStorage[key];
	  if(data) {
		return angular.fromJson(data);
	  }
	  return {};
	},
	save: function(data,key) {
	  window.localStorage[key] = angular.toJson(data);
	},
	clear: function(key) {
	  window.localStorage.removeItem(key);
	},
	get: function(key,id) {
	  var data = window.localStorage[key];
	  if(data) {
		data = angular.fromJson(data);
		return data[id];
	  }
	  return {};
	}
  }
})
.controller("searchCtrl", function($scope, $stateParams) {
  if($stateParams.search){
	document.getElementById("searchable").innerHTML = doHighlight(document.getElementById("searchable").innerHTML,$stateParams.search);
  }
});
document.addEventListener("online", function(){
  online = true;
}, false);
document.addEventListener("offline", function(){
  online = false;
}, false);
function isOnline() {
  return online;
}
function doHighlight(bodyText, searchTerm){var newText = ""; var i = -1;while (bodyText.length > 0){i = bodyText.indexOf(searchTerm, i+1);if (i < 0) {newText += bodyText;bodyText = "";} else{if (bodyText.lastIndexOf(">", i) >= bodyText.lastIndexOf("<", i)) {if (bodyText.lastIndexOf("/script>", i) >= bodyText.lastIndexOf("<script", i)) {newText += bodyText.substring(0, i) + "<search>" + bodyText.substr(i, searchTerm.length) + "</search>";bodyText = bodyText.substr(i + searchTerm.length);bodyText = bodyText.toLowerCase();i = -1;}}}}return newText;}

var homeHash = "#/nav/xn-mgbn7ee";var hasHome = true;
